Page MenuHomePhabricator

[OpenCL] Make TableGen'd builtin tables and helper functions static
ClosedPublic

Authored by tstellar on Jul 11 2019, 5:46 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

tstellar created this revision.Jul 11 2019, 5:46 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 11 2019, 5:46 PM
Herald added a subscriber: yaxunl. · View Herald Transcript
Pierre added a comment.EditedJul 12 2019, 1:18 AM

Hello Tom,
Thank you for adding me, the changes seem correct to me.
There is a new version of the tablegen builtin functions that makes these tables static/const. It still needs some work, so I thing it's relevant to make this change in the meantime :
https://reviews.llvm.org/D63434

Anastasia accepted this revision.Jul 15 2019, 6:25 AM

LGTM! Thanks!

This revision is now accepted and ready to land.Jul 15 2019, 6:25 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 15 2019, 3:34 PM